# Deprecated API

## Contents

- Classes
- Methods
- Constructors

Deprecated Classes
Class
Description
org.apache.avro.reflect.MapEntry
Use org.apache.avro.util.MapEntry

Deprecated Methods
Method
Description
org.apache.avro.generic.GenericDatumReader.createFixed(Object, byte[], Schema)
As of Avro 1.6.0 this method has been moved to `GenericData.createFixed(Object, byte[], Schema)`
org.apache.avro.generic.GenericDatumReader.createFixed(Object, Schema)
As of Avro 1.6.0 this method has been moved to `GenericData.createFixed(Object, Schema)`
org.apache.avro.generic.GenericDatumReader.newRecord(Object, Schema)
As of Avro 1.6.0 this method has been moved to `GenericData.newRecord(Object, Schema)`
org.apache.avro.io.DecoderFactory.createBinaryDecoder(byte[], int, int, BinaryDecoder)
use `DecoderFactory.binaryDecoder(byte[], int, int, BinaryDecoder)` instead
org.apache.avro.io.DecoderFactory.createBinaryDecoder(byte[], BinaryDecoder)
use `DecoderFactory.binaryDecoder(byte[], BinaryDecoder)` instead
org.apache.avro.io.DecoderFactory.createBinaryDecoder(InputStream, BinaryDecoder)
use the equivalent `DecoderFactory.binaryDecoder(InputStream, BinaryDecoder)` instead
org.apache.avro.io.DecoderFactory.defaultFactory()
use the equivalent `DecoderFactory.get()` instead
org.apache.avro.Protocol.createMessage(String, String, Schema)
org.apache.avro.Protocol.createMessage(String, String, Schema, Schema, Schema)
org.apache.avro.Protocol.getUnresolvedTypes()
can return invalid schemata: do NOT use!
org.apache.avro.Schema.createRecord(List<Schema.Field>)
This method allows to create Schema objects that cannot be parsed by `SchemaParser.parse(CharSequence)`. It will be removed in a future version of Avro. Better use `Schema.createRecord(String, String, String, boolean, List)` to produce a fully qualified Schema.
org.apache.avro.Schema.getNameValidator()
org.apache.avro.Schema.getValidateDefaults()
org.apache.avro.Schema.parse(File)
use `SchemaParser` instead.
org.apache.avro.Schema.parse(InputStream)
use `SchemaParser` instead.
org.apache.avro.Schema.parse(String)
use `SchemaParser` instead.
org.apache.avro.Schema.parse(String, boolean)
use `SchemaParser` instead.
org.apache.avro.Schema.Parser.addTypes(Map<String, Schema>)
use addTypes(Iterable<Schema> types)
org.apache.avro.Schema.setNameValidator(NameValidator)
org.apache.avro.Schema.setValidateDefaults(boolean)
org.apache.avro.Schema.toString(boolean)
Use `SchemaFormatter.format(Schema)` instead, using the format `json/pretty` or `json/inline`
org.apache.avro.Schema.toString(Collection<Schema>, boolean)
org.apache.avro.SchemaParser.resolve(SchemaParser.ParseResult)
org.apache.avro.util.Utf8.getLength()
call `Utf8.getByteLength()` instead.
org.apache.avro.util.Utf8.setLength(int)
call `Utf8.setByteLength(int)` instead.

Deprecated Constructors
Constructor
Description
org.apache.avro.io.parsing.Symbol.DefaultStartAction(byte[])
org.apache.avro.io.parsing.Symbol.EnumAdjustAction(int, Object[])
org.apache.avro.io.parsing.Symbol.EnumLabelsAction(List<String>)
org.apache.avro.io.parsing.Symbol.FieldAdjustAction(int, String, Set<String>)
org.apache.avro.io.parsing.Symbol.FieldOrderAction(Schema.Field[])
org.apache.avro.io.parsing.Symbol.IntCheckAction(int)
org.apache.avro.io.parsing.Symbol.SkipAction(Symbol)
org.apache.avro.io.parsing.Symbol.UnionAdjustAction(int, Symbol)